Subject: [AVT] RAMS TLV elements little/big endian ?

From: "Ingemar Johansson S" <[email-masked]>
Date: Thu, 26 Nov 2009 21:55:37 +0100

Hi

The TLV fields in the RAMS draft contains various fields contain parameters such as 32bit burst duration values.
The question is how are these values encoded. Is it necessary to use e.g htons() and htonl() for this?. I don't see any mention of this but I can have missed this or is it specified in another RFC ? 

Regards
Ingemar
=================================
INGEMAR JOHANSSON  M.Sc. 
Senior Research Engineer 

Ericsson AB
Multimedia Technologies
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]
www.ericsson.com 
Visit http://labs.ericsson.com !
=================================

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 26 Nov 2009 13:56:18 -0800

Hi Ingemar,

We follow the same rules that apply to RFC 3550. The relevant section is 4 in RFC 3550.

If you think we should make this explicit in the RAMS draft, we can do so.

Cheers, acbegen.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Ingemar Johansson S
> Sent: Thursday, November 26, 2009 3:56 PM
> To: [email-masked]
> Subject: [AVT] RAMS TLV elements little/big endian ?
> 
> Hi
> 
> The question is how are these values encoded. Is it necessary to use e.g htons() and
> htonl() for this?. I don't see any mention of this but I can have missed this or is it
> specified in another RFC ?
> 
> Regards
> Ingemar
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt

---

From: "Ingemar Johansson S" <[email-masked]>
Date: Fri, 27 Nov 2009 08:28:50 +0100

Hi

I admit that I should probably have looked into RFC3550 before posting this question, thanks. On the other hand as I raised this question it is perhaps a good idea to put  a reference to section 4 in RFC3550 somewhere in the RAMS draft ?

BR
Ingemar 

> From: Ali C. Begen (abegen) [mailto:[email-masked]] 
> Sent: den 26 november 2009 22:56
> To: Ingemar Johansson S; [email-masked]
> Subject: RE: [AVT] RAMS TLV elements little/big endian ?
> 
> Hi Ingemar,
> 
> > From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of 
> > Ingemar Johansson S
> > The TLV fields in the RAMS draft contains various fields contain 
> > parameters such as 32bit burst duration values.
> > The question is how are these values encoded. Is it 
> necessary to use 
> > e.g htons() and
> > htonl() for this?. I don't see any mention of this but I can have 
> > missed this or is it specified in another RFC ?
> > 
> > Regards
> > Ingemar

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 27 Nov 2009 12:32:49 -0800

Will do once we make a collective revision for all the WGLC comments we will receive.

Cheers, acbegen.

> From: Ingemar Johansson S [mailto:[email-masked]]
> Sent: Friday, November 27, 2009 2:29 AM
> To: Ali C. Begen (abegen); [email-masked]
> I admit that I should probably have looked into RFC3550 before posting this question,
> thanks. On the other hand as I raised this question it is perhaps a good idea to put  a
> reference to section 4 in RFC3550 somewhere in the RAMS draft ?
> 
> BR
> Ingemar
>